Questions about the new update of FW 4.0B

Discussion in '3DS - Homebrew Development and Emulators' started by Ryumaru, Jun 2, 2016.

  1. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
    I have a Gateway and I'm with some questions about the new update.
    1. My Sysnand is in version 4.2 I can install A9LH without performing the upgrade process to 10.x
    2. If I need to format my SD completely I will leave my 3ds Brick.
    3. If Question 2 can not be performed in the manner which I am accustomed to how the formatting of the 3ds is done with installed A9LH.
    4. I own an old 3ds xl after performing the A9LH installation process as is done updating the FW.
    I thank you who can help me.
     
    Last edited by Ryumaru, Jun 2, 2016
  2. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    328
    Nov 19, 2008
    United States
    Sandy, UT
    1) You need to upgrade to 9.2. Follow these steps to do it, being sure to use the o3ds firmware pack: https://github.com/Plailect/Guide/wiki/9.2.0-Update
    2) Nope. Why would it?
    3) You can format SD cards with your PC, or Emunand9 can do it on your 3DS.
    4) That you do, apparently.
     
  3. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
    For the second question is for the simple reason of giving some error in SD.
    And if you want to use in a Sysnand with 9.x I upgrade to 9.2 as well ?
     
  4. veraci_00

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    1. yeah, follow that guide. since u can't create rednand on 4.x.x, u need to update to 9.2. otherwise, u won't be able to downgrade to 2.x.x.
    2. just make a backup of the main contents minus the Nintendo 3ds folder of ur sd card.
    3. see answer 2.
    4. if u follow the guide for installing a9lh, u'll be on the latest firmware, no need to update anymore.

    — Posts automatically merged - Please don't double post! —

    u can upgrade from 9.1 to 9.2, yes.
     
  5. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
    If question 4 if I got it right the update if you install the a9lh and made direct by Sysnand.
     
  6. veraci_00

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    it will be on the sysnand, yes, but instead of the system settings saying ver 11.0.0-33, it will say sys 11.0.0-33. that's how u'll know the update went through successfully.
     
  7. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
  8. veraci_00

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    some people say formatting can help with upgrades/downgrades, but I don't know if that's true. u'll be formatting the sd card multiple times during the a9lh process.
     
  9. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
    I do not care to use my gateway without a9lh more my fear is that les stop supporting the emunand mode. Forcing all its users to carry out this process. For this reason it is good to take any questions if it happens.
     
  10. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,347
    328
    Nov 19, 2008
    United States
    Sandy, UT
    Formatting the console shouldn't be necessary.
     
  11. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
    I believe that if I perform this process will have to format my SD as already installed and uninstalled many games in SD .cia format. Not my SD format plus at least 1 year.
    For I have seen many videos riding errors that may appear in the SD case downgrade process is very fragmented.
     
  12. veraci_00

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    u can still use gateway if u wish with 3.7 which is compatible emunand-wise with 11.0.0-33 (the latest firmware). if u install a9lh, I'd recommend using 3.7 anyway over 4.0, because u'll be forced into the gateway menu to do a button combination to get into a9lh on 4.0, which is not the case with 3.7. I have my a9lh to boot luma by default, but it will boot gateway by holding down.

    edit: I believe u can clone the emunand, but I've never really done that.
     
    Last edited by veraci_00, Jun 2, 2016
  13. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
    And from what I saw in the official Gateway site they are still testing this new Cfw. I think they should improve the process is to have tools for users who has it been going on since version 4.2 to perform an update process and safer downgrade to its users.
     
    Last edited by Ryumaru, Jun 2, 2016
  14. veraci_00

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    I'm only using the arm9loader for people already on a9lh. luma cfw is my default firmware. gateway doesn't have chain-loading, so I'm using luma to boot into it. I wouldn't trust the new tools just yet. I also wouldn't make gateway ur default cfw for the reason mentioned above. there's no way to boot into decrypt9.
     
  15. gamesquest1

    gamesquest1 Nabnut

    Member
    14,082
    9,417
    Sep 23, 2013
    Well if your using the scene a9lh stuff then you can auto boot into gateway by using their arm9loader.bin file, and if anything ever went wrong where you need decrypt9 access you can simply swap the arm9loader.bin file on the sd

    Granted with luma you can use all 3 without swapping anything, but for a end user who has no interest in advanced tools and only really uses GW they might as well just use the gateway .bin file as their primary payload
     
    Last edited by gamesquest1, Jun 2, 2016
  16. veraci_00

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    it feels safer that way. one issue I have is that gateway says ver 11.0.0-33 instead of sys 11.0.0-33, so I'd be leery of updating firmware with gateway's a9lh.
     
  17. gamesquest1

    gamesquest1 Nabnut

    Member
    14,082
    9,417
    Sep 23, 2013
    Do not run sysnand updates in gw a9lh, afaik they do not officially support sysnand mode and updating in sysnand mode will either update properly to ofw or brick, always boot into luma to perform sysnand a9lh updates
     
  18. veraci_00

    veraci_00 GBAtemp Fan

    Member
    408
    33
    Mar 6, 2016
    United States
    okay, good. that's one of the reasons I assigned it to a button with luma.
     
  19. Ryumaru
    OP

    Ryumaru Creator of themes for 3DS

    Member
    2,361
    1,014
    Feb 1, 2015
    Brazil
    In any case I'll wait GW finalize this project to see what I will do.
     
  20. Pokéidiot

    Pokéidiot GBAtemp Regular

    Member
    244
    129
    Dec 6, 2015
    Brazil
    \n?
    DO NOT UPDATE SYSNAND WITH GATEWAY, you will either lose a9lh or brick on old3DS, and 100% brick on new3DS. Since you have a9lh already, use Luma CFW to do this.